/* eslint-env node */
require('@rushstack/eslint-patch/modern-module-resolution');

module.exports = {
	root: true,
	'extends': [
		'plugin:vue/vue3-essential',
		'eslint:recommended',
		'@vue/eslint-config-typescript',
	],
	parserOptions: {
		ecmaVersion: 'latest',
	},
	rules: {
		'semi': 'off',
		'@typescript-eslint/semi': 'error',

		'indent': 'off',
		'@typescript-eslint/indent': [
			'error',
			'tab'
		],

		'quotes': 'off',
		'@typescript-eslint/quotes': [
			'error',
			'single'
		],

		'vue/comment-directive': 'off',
	}
};
